JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
ARAHostModel::ConversionFunctions< A, B > Struct Template Reference
juce_audio_processors » format_types

Allows converting, without warnings, between pointers of two unrelated types. More...

`#include <juce_ARAHosting.h>`

## Static Public Member Functions
static B | toHostRef (A value)
static A | fromHostRef (B value)

## Detailed Description

template<typename A, typename B>
struct ARAHostModel::ConversionFunctions< A, B >

Allows converting, without warnings, between pointers of two unrelated types.

This is a bit like ARA_MAP_HOST_REF, but not macro-based.

To use it, add a line like this to a type that needs to deal in host references:

using Converter = ConversionFunctions<ThisType*, ARAHostRef>;
ARAHostModel::ConversionFunctions
Allows converting, without warnings, between pointers of two unrelated types.
Definition juce_ARAHosting.h:91

Now, you can convert back and forth with host references by calling Converter::toHostRef() and Converter::fromHostRef().

## Member Function Documentation

## ◆ toHostRef()

template<typename A , typename B >

static B ARAHostModel::ConversionFunctions< A, B >::toHostRef | ( | A | value | ) |
| static

## ◆ fromHostRef()

template<typename A , typename B >

static A ARAHostModel::ConversionFunctions< A, B >::fromHostRef | ( | B | value | ) |
| static

The documentation for this struct was generated from the following file:

- juce_ARAHosting.h